<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ar_payment', function (Blueprint $table) {
            $table->id();
            $table->string('paymentNo');
            $table->string('debtor');
            $table->string('paymentMethod');
            $table->decimal('paymentAmount', 10,2);
            $table->unsignedBigInteger('InvoiceID')->nullable(); //foreign key
            $table->foreign('InvoiceID')->references('id')->on('invoice');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ar_payment');
    }
};
